## serieswatcher 0.1.3-2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(serieswatcher)

include(CMakeDependentOption)

set(VERSION_MAJOR "0")
set(VERSION_MINOR "1")
set(VERSION_PATCH "3")

if(CMAKE_SYSTEM_NAME MATCHES Linux)
  set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} /usr/share/apps/cmake/modules/)
endif()
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)

find_package(Qt4 REQUIRED)
find_package(QtTvDB REQUIRED)
find_package(Quazip)
find_package(LibZip)

include(serieswatcher)

set(HAVE_QUAZIP ${QUAZIP_FOUND})
set(HAVE_LIBZIP ${LIBZIP_FOUND})

if(HAVE_LIBZIP)
  set(ZIP_INCLUDE_DIR ${LIBZIP_INCLUDE_DIR})
  set(ZIP_LIBRARIES   ${LIBZIP_LIBRARIES})
elseif(HAVE_QUAZIP)
  set(ZIP_INCLUDE_DIR ${QUAZIP_INCLUDE_DIR})
  set(ZIP_LIBRARIES   ${QUAZIP_LIBRARIES})
endif()

if(HAVE_LIBZIP OR HAVE_QUAZIP)
  set(HAVE_ZIP 1)
endif()

cmake_dependent_option(WITH_ZIP "With zip support [default: on]" ON "HAVE_ZIP" OFF)
option(WITH_BUILTIN_ICONS  "Include icon theme in built-in ressources" ON)

## GCC  ##
set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -O2")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O0 -ggdb3 -DDEBUG=1")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall -Wstrict-prototypes -Werror-implicit-function-declaration -Wno-pointer-sign")

set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O2")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -ggdb3 -DDEBUG=1")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

if(NOT EXECUTABLE_OUTPUT_PATH)
  set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin CACHE STRING
    "Single output directory for building all executables."
    FORCE)
endif()

if(NOT LIBRARY_OUTPUT_PATH)
  set(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin CACHE STRING
    "Single output directory for building all libraries."
    FORCE)
endif()

# compile in debug mode
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Debug CACHE STRING
    "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
    FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")
  add_definitions("-DQT_NO_DEBUG_OUTPUT")
endif("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")


#add extra search paths for libraries and includes
set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where lib will install")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE STRING "Directory where include will install")

if (APPLE)
   set(BIN_INSTALL_DIR "serieswatcher.app/Contents/MacOS")
elseif (WIN32)
   set(BIN_INSTALL_DIR "bin") # FIXME CMake bug
else()
   set(BIN_INSTALL_DIR "bin")
endif()

set (SERIES_WATCHER_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")

check_symbol_exists(Q_WS_MAEMO_5 "QtCore/qglobal.h" Q_WS_MAEMO_5)

add_subdirectory(common)
add_subdirectory(ui)
add_subdirectory(res)
add_subdirectory(pkg)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake config.h ESCAPE_QUOTES)

## Package ##

# Bundle only accept .txt files
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/COPYING ${CMAKE_CURRENT_BINARY_DIR}/COPYING.txt)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/README ${CMAKE_CURRENT_BINARY_DIR}/README.txt)

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Series Watcher")
set(CPACK_PACKAGE_VENDOR "iksaif.net")
set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
set(CPACK_VERSION ${SERIES_WATCHER_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_BINARY_DIR}/README.txt")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_BINARY_DIR}/README.txt")
set(CPACK_RESOURCE_FILE_WELCOME "${CMAKE_CURRENT_BINARY_DIR}/README.txt")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_BINARY_DIR}/COPYING.txt")
set(CPACK_PACKAGE_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
set(CPACK_PACKAGE_VENDOR "http://xf.iksaif.net/dev/serieswatcher.html")
set(CPACK_SOURCE_IGNORE_FILES
  "~$"
  "^${PROJECT_SOURCE_DIR}/\\\\.git"
  "^${PROJECT_SOURCE_DIR}/qttvdb/\\\\.git"
  "^${PROJECT_SOURCE_DIR}/build/")

if(WIN32)
  set(CPACK_PACKAGE_FILE_NAME "serieswatcher-${CPACK_VERSION}-win32")
  set(CPACK_SOURCE_PACKAGE_FILE_NAME "serieswatcher")
  set(CPACK_NSIS_MUI_ICON "${CMAKE_SOURCE_DIR}/res/serieswatcher.ico")
  set(CPACK_NSIS_MUI_UNIICON "${CMAKE_SOURCE_DIR}/res/serieswatcher.ico")

  set(CPACK_PACKAGE_EXECUTABLES "serieswatcher" "Series Watcher")

  set(CPACK_BINARY_NSIS "ON")
  set(CPACK_NSIS_MODIFY_PATH "OFF")
  set(CPACK_BINARY_CYGWIN "OFF")
  set(CPACK_SOURCE_CYGWIN "OFF")
  set(CPACK_NSIS_DISPLAY_NAME "Series Watcher")
  set(CPACK_NSIS_HELP_LINK "http://xf.iksaif.net/dev/serieswatcher.html")
  set(CPACK_NSIS_URL_INFO_ABOUT "http://xf.iksaif.net/dev/serieswatcher.html")
  set(CPACK_NSIS_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
  set(CPACK_PACKAGE_INSTALL_DIRECTORY "serieswatcher")

elseif(APPLE)
  set(CPACK_GENERATOR "DragNDrop")

  set(CPACK_PACKAGE_FILE_NAME "serieswatcher-${CPACK_VERSION}-osx")
  set(CPACK_PACKAGE_ICON ${CMAKE_SOURCE_DIR}/serieswatcher/res/serieswatcher.icns)

  set(CPACK_BUNDLE_ICON ${CMAKE_SOURCE_DIR}/serieswatcher/res/serieswatcher.icns)
  set(CPACK_BUNDLE_NAME "serieswatcher")
  set(CPACK_BUNDLE_STARTUP_COMMAND "${CMAKE_SOURCE_DIR}/pkg/osx/serieswatcher-startup")
  set(CPACK_BUNDLE_PLIST ${CMAKE_BINARY_DIR}/Info.plist)

  #set(CPACK_DMG_BACKGROUND_IMAGE pkg/osx/background.png)
  #set(CPACK_DMG_DS_STORE pkg/osx/DS_Store)

  set(MACOSX_BUNDLE_GUI_IDENTIFIER "http://xf.iksaif.net/dev/serieswatcher.html")
  set(MACOSX_BUNDLE_LONG_VERSION_STRING "serieswatcher" ${CPACK_VERSION})
  set(MACOSX_BUNDLE_BUNDLE_NAME "serieswatcher")
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING ${CPACK_VERSION})
  set(MACOSX_BUNDLE_BUNDLE_VERSION ${CPACK_VERSION})
  set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2010-2011 Corentin Chary")
  set(MACOSX_BUNDLE_INFO_STRING "Lugdulo'V - Find a bike in your city")
  set(MACOSX_BUNDLE_ICON_FILE "serieswatcher.icns")
  set(MACOSX_BUNDLE_EXECUTABLE_NAME "${CMAKE_SOURCE_DIR}/pkg/osx/serieswatcher-startup")
  configure_file(pkg/osx/Info.plist.in ${CMAKE_BINARY_DIR}/Info.plist)
  set(MACOSX_BUNDLE_INFO_PLIST ${CMAKE_BINARY_DIR}/Info.plist)

  install(FILES ${CMAKE_BINARY_DIR}/Info.plist DESTINATION serieswatcher.app/Contents/)
  install(FILES serieswatcher/res/serieswatcher.icns DESTINATION serieswatcher.app/Contents/Resources)

  set(CPACK_BINARY_DRAGNDROP ON)
else()
  set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
  set(CPACK_PACKAGE_FILE_NAME "serieswatcher-${CPACK_VERSION}-${CMAKE_SYSTEM_NAME}")
  set(CPACK_SOURCE_PACKAGE_FILE_NAME "serieswatcher-${CPACK_VERSION}")
endif(WIN32)
include(CPack)

=== common/CMakeLists.txt ===
project(common)

set(QT_USE_QTGUI TRUE)
set(QT_USE_QTNETWORK TRUE)
set(QT_USE_QTXML TRUE)
set(QT_USE_QTSQL TRUE)

INCLUDE( ${QT_USE_FILE} )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${serieswatcher_BINARY_DIR}
  ${QTTVDB_INCLUDE_DIR}
  ${ZIP_INCLUDE_DIR}
)

link_directories(
  ${QTTVDB_LIBRARY_DIRS}
)

set(common_SRCS
  searchmodel.cpp
  tvdb.cpp
  tvdbcache.cpp
  updateworker.cpp
  settings.cpp
  downloadworker.cpp
  seriesaction.cpp
  tvdbmodel.cpp
  tvdbitem.cpp
  bannerloader.cpp)

set(common_MOC_HDRS
  searchmodel.h
  updateworker.h
  downloadworker.h
  settings.h
  seriesaction.h
  tvdbmodel.h
  bannerloader.h
  tvdbcache.h)

qt4_wrap_cpp(MOC_SOURCE ${common_MOC_HDRS})

add_convenience_library(common
  ${common_SRCS}
  ${MOC_SOURCE}
)

target_link_libraries(common
  ${QT_LIBRARIES}
  ${QTTVDB_LIBRARIES}
  ${ZIP_LIBRARIES}
)

=== pkg/CMakeLists.txt ===
if(APPLE)
  add_subdirectory(osx)
elseif(Q_WS_MAEMO_5)
  add_subdirectory(maemo5)
elseif("${CMAKE_SYSTEM}" MATCHES "Linux")
  add_subdirectory(linux)
endif()

if(APPLE OR WIN32)
  if(APPLE)
    set(plugins_dest "serieswatcher.app/Contents/PlugIns")
  elseif(WIN32)
    set(plugins_dest "${BIN_INSTALL_DIR}/plugins")
  endif()

  set(APPS "\${CMAKE_INSTALL_PREFIX}/${BIN_INSTALL_DIR}/serieswatcher${CMAKE_EXECUTABLE_SUFFIX}")

  if(WIN32)
    if(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)
      install(FILES "${QT_PLUGINS_DIR}/imageformats/qjpegd4.dll" DESTINATION "${plugins_dest}/imageformats")
	endif()
	install(FILES "${QT_PLUGINS_DIR}/imageformats/qjpeg4.dll" DESTINATION "${plugins_dest}/imageformats")
  else()
  	install(DIRECTORY "${QT_PLUGINS_DIR}/imageformats" DESTINATION ${plugins_dest})
  endif()
  
  install(FILES "${QTTVDB_LIBRARIES}" DESTINATION ${BIN_INSTALL_DIR})

  #INSTALL(CODE "
  #  file(WRITE \"\${CMAKE_INSTALL_PREFIX}/qt.conf\" \"\")")
  
  set(DIRS
   ${QT_BINARY_DIR}
   ${QT_LIBRARY_DIR}
   ${PLUGINS_INSTALL_DIR}
   ${LIB_INSTALL_DIR}
  )

  if(UNIX)
    set(DIRS ${DIRS}
  	  /lib/
      /usr/lib/
  	  /usr/local/lib/
    )
  endif()

  install(CODE "
    file(GLOB_RECURSE QTPLUGINS
      \"\${CMAKE_INSTALL_PREFIX}/${plugins_dest}/*/*${CMAKE_SHARED_LIBRARY_SUFFIX}\"
      )
    include(BundleUtilities)
    fixup_bundle(\"${APPS}\" \"\${QTPLUGINS}\" \"${DIRS}\")")
endif()

=== qttvdb/CMakeLists.txt ===
# Copyright (C) 2009-2011 Corentin Chary <corentin.chary@gmail.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public License
# along with this library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.

PROJECT(qttvdb)

#set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII" )

# Stop cmake 2.6 from whining
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
IF(COMMAND cmake_policy)
  CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")

set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})

# compile in debug mode
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

IF("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")
  ADD_DEFINITIONS("-DQT_NO_DEBUG_OUTPUT")
  ADD_DEFINITIONS("-DQT_NO_DEBUG_OUTPUT")
ENDIF("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")

# Find Qt4
FIND_PACKAGE( Qt4 REQUIRED )

#add extra search paths for libraries and includes
SET (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
SET (LIB_INSTALL_DIR "lib${LIB_SUFFIX}" CACHE STRING "Directory where lib will install")
SET (INCLUDE_INSTALL_DIR "include" CACHE PATH "The directory the headers are installed in")
SET (CMAKE_MODULES_INSTALL_DIR "share/apps/cmake/modules" CACHE PATH "The directory to install FindQtTvDB.cmake to")


set(QTTVDB_LIB_MAJOR_VERSION "0")
set(QTTVDB_LIB_MINOR_VERSION "3")
set(QTTVDB_LIB_PATCH_VERSION "0")

set(QTTVDB_LIB_VERSION_STRING "${QTTVDB_LIB_MAJOR_VERSION}.${QTTVDB_LIB_MINOR_VERSION}.${QTTVDB_LIB_PATCH_VERSION}")

set(LIBRARY_OUTPUT_PATH "${CMAKE_BINARY_DIR}/lib${LIB_SUFFIX}" )

# pkg-config
IF (NOT WIN32)
  CONFIGURE_FILE (${CMAKE_CURRENT_SOURCE_DIR}/QtTvDB.pc.in
                  ${CMAKE_CURRENT_BINARY_DIR}/QtTvDB.pc
                  @ONLY)
  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/QtTvDB.pc
           DESTINATION lib${LIB_SUFFIX}/pkgconfig
	   COMPONENT devel)
ENDIF (NOT WIN32)

# Include the cmake file needed to use qt4
IF (QTTVDB_BUILD_EXAMPLES)
  set(QT_USE_QTNETWORK TRUE)
ENDIF()
set(QT_DONT_USE_QTGUI TRUE)
set(QT_USE_QTXML TRUE)
INCLUDE( ${QT_USE_FILE} )

# Subdirs
ADD_SUBDIRECTORY(src)
IF (QTTVDB_BUILD_EXAMPLES)
  ADD_SUBDIRECTORY(examples)
ENDIF ()

add_subdirectory(cmake/modules)

# CPack
set(CPACK_VERSION_MAJOR ${QTTVDB_LIB_MAJOR_VERSION})
set(CPACK_VERSION_MINOR ${QTTVDB_LIB_MINOR_VERSION})
set(CPACK_VERSION_PATCH ${QTTVDB_LIB_PATCH_VERSION})
set(CPACK_VERSION ${QTTVDB_LIB_VERSION_STRING})
set(CPACK_PACKAGE_VERSION ${QTTVDB_LIB_VERSION_STRING})
set(CPACK_PACKAGE_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/INSTALL")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A library for using thetvdb.com XML API in Qt")
set(CPACK_PACKAGE_VENDOR "http://xf.iksaif.net/dev/qttvdb.html")
set(CPACK_SOURCE_IGNORE_FILES
  "~$"
  "^${PROJECT_SOURCE_DIR}/\\\\.git"
  "^${PROJECT_SOURCE_DIR}/build/")
#set(CPACK_INSTALL_CMAKE_PROJECTS "${CMAKE_CURRENT_BUILD_DIR};qttvdb;ALL;/")
set(CPACK_COMPONENTS_ALL libraries devel)
set(CPACK_COMPONENT_LIBRARIES_DISPLAY_NAME "Library")
set(CPACK_COMPONENT_DEVEL_DISPLAY_NAME "Development files")
set(CPACK_COMPONENT_LIBRARIES_DESCRIPTION "A library for using thetvdb.com XML API in Qt")
set(CPACK_COMPONENT_DEVEL_DESCRIPTION "Development files for QtTvDB")
set(CPACK_COMPONENT_DEVEL_DEPENDS libraries)
set(CPACK_PACKAGE_FILE_NAME "qttvdb-${CPACK_VERSION}-${CMAKE_SYSTEM_NAME}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "qttvdb-${CPACK_VERSION}")

if(NOT WIN32)
  set(CPACK_GENERATOR "DEB")
  set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
  ## Debian specific ##
  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt4-core (>= 4.6), libqt4-xml (>= 4.6)")
  set(CPACK_DEBIAN_PACKAGE_BUILDS_DEPENDS "libqt4-dev (>= 4.6), cmake (>= 2.6)")
else()
  set(CPACK_GENERATOR "ZIP;NSIS")
  set(CPACK_SOURCE_GENERATOR "ZIP")
  set(CPACK_BINARY_CYGWIN "OFF")
  set(CPACK_SOURCE_CYGWIN "OFF")
  set(CPACK_PACKAGE_FILE_NAME "qttvdb-${CPACK_VERSION}-win32")
  set(CPACK_BINARY_NSIS "ON")
  set(CPACK_NSIS_MODIFY_PATH "OFF")
  set(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} QtTvDB")
  set(CPACK_NSIS_HELP_LINK "http://xf.iksaif.net/dev/qttvdb.html")
  set(CPACK_NSIS_URL_INFO_ABOUT "http://xf.iksaif.net/dev/qttvdb.html")
  set(CPACK_NSIS_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
  set(CPACK_PACKAGE_INSTALL_DIRECTORY "qttvdb")
endif()

include(CPack)

=== res/CMakeLists.txt ===
project(resources)

include( ${QT_USE_FILE} )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${serieswatcher_BINARY_DIR}
)

set(resources_RCS serieswatcher.qrc)

if(WITH_BUILTIN_ICONS)
  set(resources_RCS ${resources_RCS} icons/icons.qrc)
endif()

qt4_add_resources(RC_SRCS ${resources_RCS})

add_convenience_library(resources ${RC_SRCS})

target_link_libraries(resources
  ${QT_LIBRARIES}
)

=== ui/CMakeLists.txt ===
# Use it
set(QT_USE_QTGUI TRUE)
set(QT_USE_QTNETWORK TRUE)
set(QT_USE_QTXML TRUE)
set(QT_USE_QTSQL TRUE)

include( ${QT_USE_FILE} )

# Include the library include directories, and the current build directory (moc)
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${serieswatcher_BINARY_DIR}
  ${resources_BINARY_DIR}
  ${common_SOURCE_DIR}
  ${common_BINARY_DIR}
  ${QTTVDB_INCLUDE_DIR}
)

link_directories(
  ${QTTVDB_LIBRARY_DIRS}
)

set(serieswatcher_SRCS
  main.cpp
  mainwindow.cpp
  listwindow.cpp
  searchdialog.cpp
  searchlistview.cpp
  updateprogressdialog.cpp
  showdelegate.cpp
  settingsdialog.cpp
  actiondialog.cpp
  mainlistview.cpp
  maintreeview.cpp
  seriesmenus.cpp
  episodedialog.cpp
  showdialog.cpp
  aboutdialog.cpp)

set(serieswatcher_UIS
  mainwindow.ui
  listwindow.ui
  searchdialog.ui
  updateprogressdialog.ui
  settingsdialog.ui
  actiondialog.ui
  episodedialog.ui
  episodedialogscroll.ui
  showdialog.ui
  showdialogscroll.ui
  aboutdialog.ui)

SET(serieswatcher_MOC_HDRS
  mainwindow.h
  listwindow.h
  searchdialog.h
  searchlistview.h
  updateprogressdialog.h
  showdelegate.h
  settingsdialog.h
  actiondialog.h
  mainlistview.h
  maintreeview.h
  seriesmenus.h
  episodedialog.h
  showdialog.h
  aboutdialog.h)

qt4_wrap_cpp(MOC_SOURCE ${serieswatcher_MOC_HDRS})
qt4_wrap_ui(UI_HDRS ${serieswatcher_UIS})

if (WIN32)
 add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/icon.o
                     COMMAND windres.exe -I${resources_SOURCE_DIR} -i${resources_SOURCE_DIR}/serieswatcher.rc
                     -o ${CMAKE_CURRENT_BINARY_DIR}/icon.o )
 set(serieswatcher_SRCS ${serieswatcher_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/icon.o)
 if("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")
   set(GUI_TYPE WIN32)
 endif()
endif ()

add_executable(
  serieswatcher
  ${GUI_TYPE}
  ${serieswatcher_SRCS}
  ${UI_HDRS}
  ${MOC_SOURCE}
)

if (Q_WS_MAEMO_5)
  target_link_libraries(serieswatcher QtMaemo5)
endif()

target_link_libraries(
  serieswatcher
  resources
  common
  ${QT_LIBRARIES}
  ${QTTVDB_LIBRARIES}
  ${ZIP_LIBRARIES}
)

install(TARGETS serieswatcher
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
)

=== pkg/linux/CMakeLists.txt ===
install(FILES serieswatcher.desktop DESTINATION share/applications)
install(FILES serieswatcher.png DESTINATION share/icons/hicolor/64x64/apps)
install(FILES ${resources_SOURCE_DIR}/serieswatcher.svg DESTINATION share/icons/hicolor/scalable/apps)

=== pkg/maemo5/CMakeLists.txt ===
install(FILES serieswatcher.desktop DESTINATION share/applications/hildon)
install(FILES serieswatcher.png DESTINATION share/icons/hicolor/64x64/hildon)
install(FILES serieswatcher-wrapper DESTINATION bin)

=== qttvdb/examples/CMakeLists.txt ===
# Copyright (C) 2009-2010 Corentin Chary <corentin.chary@gmail.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public License
# along with this library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.

# Use it
INCLUDE( ${QT_USE_FILE} )

# Include the library include directories, and the current build directory (moc)
INCLUDE_DIRECTORIES(
	../src
	${CMAKE_CURRENT_BINARY_DIR}
)

SET(test_SRCS main.cpp test.cpp)
SET(test_MOC_HDRS test.h)

QT4_WRAP_CPP(MOC_SOURCE ${test_MOC_HDRS})

ADD_EXECUTABLE(
	test
	${test_SRCS}
	${MOC_SOURCE}
)

TARGET_LINK_LIBRARIES(
	test
	${QT_LIBRARIES}
	qttvdb
)

=== qttvdb/src/CMakeLists.txt ===
# Copyright (C) 2009-2011 Corentin Chary <corentin.chary@gmail.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public License
# along with this library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.

include_directories (./)

install(FILES
  qttvdb.h
  qttvdb_export.h
  QtTvDB
  DESTINATION ${INCLUDE_INSTALL_DIR}/qttvdb
  COMPONENT devel
)

set (qttvdb_SRCS mirrors.cpp episode.cpp banner.cpp show.cpp)

qt4_wrap_cpp(MOC_SRCS qttvdb.h)

if (UNIX)
  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/qttvdb.h
    COMMAND python ${CMAKE_CURRENT_SOURCE_DIR}/../scripts/qttvdbmoc.py
    ${CMAKE_CURRENT_SOURCE_DIR}/qttvdb.h.in
    ${CMAKE_CURRENT_SOURCE_DIR}/qttvdb.h
    DEPENDS
    ${CMAKE_CURRENT_SOURCE_DIR}/../scripts/qttvdbmoc.py
    ${CMAKE_CURRENT_SOURCE_DIR}/qttvdb.h.in
    )
endif ()

add_library (qttvdb SHARED ${MOC_SRCS} ${qttvdb_SRCS})
target_link_libraries( qttvdb ${QT_LIBRARIES})

set_target_properties(qttvdb PROPERTIES
                      VERSION ${QTTVDB_LIB_MAJOR_VERSION}.${QTTVDB_LIB_MINOR_VERSION}.${QTTVDB_LIB_PATCH_VERSION}
                      SOVERSION ${QTTVDB_LIB_MAJOR_VERSION}
                      DEFINE_SYMBOL QTTVDB_MAKEDLL
                      )

install(TARGETS qttvdb
  COMPONENT libraries
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
)

=== qttvdb/cmake/modules/CMakeLists.txt ===
set(cmakeFiles FindQtTvDB.cmake)
install(FILES ${cmakeFiles} DESTINATION ${CMAKE_MODULES_INSTALL_DIR} COMPONENT devel)

=== pkg/maemo5/debian/changelog ===
serieswatcher (0.1.3-2) unstable; urgency=low

  * Fix banner loader

 -- Corentin Chary <corentincj@iksaif.net>  Sat, 23 Apr 2011 19:02:59 +0200

=== pkg/maemo5/debian/control ===
Source: serieswatcher
Section: user/utilities
Priority: extra
Maintainer: Corentin Chary <corentincj@iksaif.net>
XSBC-Bugtracker: http://dev.iksaif.net/projects/serieswatcher
Build-Depends: debhelper (>= 5), libqtm-dev, libqt4-dev, libzip-dev, cmake
Standards-Version: 3.7.2

Package: serieswatcher
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Description-fr_FR: SeriesWatcher permet de surveiller vos séries télé.
 Vous pourrez être prévenus des nouveaux épisodes,
 les marquer comme vus, etc...
 Series Watcher permet aussi de rajouter des liens dynamiques
 vers d'autres services afin de pouvoir rapidement trouver
 les DVDs ou sous-titres correspondant à un épisode ou à
 une saison. L'application utilise l'API fournie par
 thetvdb.com.
XB-Maemo-Display-Name: Series Watcher
Description: Series Watcher can help you keep track of the TV shows you're watching.
 It let you mark watched episode and allow to add dynamic
 links to other services (to buy DVDs, download subtitles, etc...).
 Data comes from thetvdb.com XML API.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAADWwAAA1sB5s3OywAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAA1ySURBVHic5ZtpcFzVlcd/9773el8sydpl
 rZZ3W7YjmxjseMMGkwECjg0eEoMToMgMVZMiM8kMFQdcQzKEpTJJQSUEAgNJ
 wBgSUpAUw1BgyQ6EeBFYsRHeY8m7JdlqSb291+/OhzbYcrdstZaGVP5fuvu+
 +8459//OPe/ce08LpRR/z9A/bQPSYeVLQpucX+nvxqGLeFfEt/RE5D6UPRK6
 RLY94D/+WJEjLG2xECxRggqllF8gfIAf+PjTlebWGBABwqAiICIKeiQ02UJt
 kkJt+v68vx7L1J6sEXDvxqr5SPEQUA/IkdGi3v7B/IOLM7kjKwSsQ8hYY1Ub
 UDLSumyb6Q8uPLBjoP1H6En0hdlQPZMsDB5ASlZm1H+kDDkfCalys6HnLPIz
 6ZwVAs4GuSxBeTPpnRUCwPZnRw8IIT57BChbZI0ApfBk0j87HiCySMBncQoI
 VNZigOAzOAVIn9mNFEQmnbPlAbFs6DmrrSOT3lkhwBZkjQCBas+kf7amQDRL
 elAZEjCk5fDrtbVOtwz6pTD9AtsPyp9A8wuUX6D8IP2gXNescRSw1NwUtZFx
 JWREKT2aUEZUSUdUKWfMFs6YUu6YUm5LCbcawoMRiOEjoGHhQl0eb5+tbDld
 CDUNRZ0Qolih/IDfq7kNiAOgEIBA8vHiSsDZ73l7tKbxN5gzOdvzwut92wDo
 iinaTlucOWKSeC/MmOMm1QMZ0LB4wOu1tU6PdH9HCu4EUSqE+sQ+Rearx9Bu
 WZrhLUGnIFhkQJEBn/Ogumy2/vgkk81LJDpCyKHHAK/ufkEI1gGZGp4W8XZZ
 CJwZgggRlMz6cg5bLtEvbNr225kITiGgYcLUehQ3ZGTeANC5Rf9gqDLGOSm/
 2HUFjz+04ODxTGSmTAGJvIlBuPml8NF/uebmzzW3jV5o9QYmJYo0F+PIMGnR
 ocolCUVtAmebFHAc1EYleDVmWK9malcKAQJVMRJ7RCqBfrLRqD/ZaABgBO1O
 T4U6ZvhVzPAT14O2pfuVbfiVrfsUmg+JjbIiYMeEsiOIRFRS67Jea57C+9i0
 9kZE20+W7R1SjpFCgEpuTI44zC6Z29VMxhslJcL56KqWHRnN84shXRC8KAFG
 bg7GqFEZK3IWF5O/7KqM77sQyfxi+JCGgPRLV1dpCTNefoE57zYy571NjLnz
 9owUlX/jTmrXrUVo2qAMPQ/DSkBqHqCUL11oqvq3ezBycvjz/CvRfD6k69wC
 z1lYgCM/n959+7CjMRACV0kxsRMn8U2cQPfOXRx+6hlaf/oEKpFIKg4GcZeP
 IXKoFSsUAkAYBt7asSTCYSJ/PdSPycO7tE4lQKSfAs7CAqTDQDgchPcfSHbV
 JOMeWEfeogUkIlEQgu3X3oi7spzpL/yS7p278E0Yzzufm8PMV16k7ee/oPWJ
 pyj72m2U33UH5unTOAsL+GDVauKn2pn+wnPYsRhGXh47vrqG8L79aSyRIz0F
 0rtY6xO/QPcHqP/9KxQtT6YJJbesIm/xIrZ98QYOPPzoWU8YjX/KZISmcXrz
 O2y9+jpcY8rQvF56PmwhOKue6m/fw847vsHOu+5Gulx4qqsYvWQRzqJCmm+9
 nffmLepn8MMfA/p6gBCC8VPTppqdDY1s++L1THrsv6ldt5ZTb7xJ/jVXI11O
 ZvxmPWZnJ3vv+0/C+w9Q9vXbiB4+wqHHfwZKqcLrr+0FfOHd+/dVfutfcpRt
 50352WNxOxxNtL/4+3bz9Z0HHJMmeFXUrLvsrTdkx4MvHup5dmMIqWwb21bK
 VkooG6VUa1llwfwN4Z8K6ESIDoHdaSM6JbLTtq0OwxadZ7q9ndvuxMyYgHfG
 j/eRJjlxV5QTaW0jeuQo3Tua8Y6tQcXjuEpLOPrr9Rz44SPnOIRjOfWzAvGW
 wz2Vsdmn3ImcKv/YZT77WBdjD9WP9QdrSWw5ROimJx0AEsaUUjeGrdB12UP4
 n72NUTcuqpbPtECa49AOVWoKmAeAUijE2WWVjRASSwPfqLBasIEDoLYr2GKK
 xDPvrgh0XpIAW0pfOqUTf/QwRs4ozM7T+CZO4OCPfoIdjxP6YAfFK5fjyB+N
 q7g4Fn1p6yH9d4ernaXFuvXkdq8vkV8IoE0pwdp5FABreyvuby7C98QtCF3D
 +qCN2Ibt+H+5BqupFW1cIdGn3+3/kYkBneUJoAZEjYCVDqXfv+DF8MqGmzyv
 pxF3Tl5DbV2Z1FTbhZ2chQXkzp8HUiPU9D69e/YCIF1ORi+5EmdhUTS3dVQo
 8Ye9BcLQMJZOwty8D9XZC4CxeAL2kTMkPjoOUmAsHI9WPRq7vQfzzRZUOI5j
 6SRkSRBr1zGsPx/sd2S7qso3rf2n1V8YAAkXorWxxVOl7uv7iPsQ8NbEiXmG
 MjJaTgJ47JxN1bErBmNUxmgaX934wO3/OH8w9wqhZmxc4e2zKOvzFkg4HBfd
 unIWF1G6+hZ0f/JNKV1OSm65mbIZy4o+7uNYMhFj0fjB2HfOqAI/OX/5Hsbl
 NSnXok7noJcqypbzUnSd/2Npc3PkYgL8UyZTc+93cFdUAFC0/AbGrr2XwD/M
 LQUQuV68j69Cq8zrV4YsChBs/Bb67Mp+++h1ZYiAi8T+UynXog4joxVkHwi7
 KkVXn19K2UyYZgJGuvutUHdSjsMBUlJ661dAKaTbZQC4Vs2CiEls/TZkWQ6u
 2+agInGs9w4ia/KJv9aM+9tXoVXm4byuDhWKkth9Asf1dRj1FSSOniH6881o
 00qxT4TQP1+FcUUNsd+8/0lcCNSV+P55ugOnBn84aLG706YqKJldpHEqbFMe
 kPzPrn7egCr10CRdItSvF1jdyZRVOgzyFi1ADwTo2taEcDsNdInzK5cRffZP
 4DII/O4ujCtq0GeW4//V1zDqK5BFQfQZY1C9McQoN8QtPN+9Bu+DycTKcfVk
 hFNHn1qKCLpxrbkcY95YvA9cB4AxdyyL7507o9dUFHoEj3zBiQAWjNG4dbLO
 HdMcOC6y1Eh3cJpuTzAMn2w49CXgrAdIh4OyNbdyfMPLuCsrEx5vueZYOgmR
 6yH67J9wrf48wuOg6+anIGqS03I/VvNhEi3HsA+2Yx/qoOfu9cjCAK7b5tC7
 9lViz5/b7dKmlmI1tdJ9y9N4H/ky+pRkbYXnu8voOBUNnwrrvtlFgkOh5A7l
 uFGSnjjc/n9Res3+Q0S6c8N0HpDyGryQgGD9TAJ1Uzn66/UkIhFTeB241lxO
 bMN2VEcv+qwKrPfbUF0R9CtqQJNYzUeSg5tWivWX5Hd9diXoEvPtj84ZVBxE
 jvYRe/Y9sBX6xCISHx5DBFxoE4s5ZQpZ4BX8dq/Fv25KxuxxuZK3Wq2LDv4s
 UtY5aTxAHAA1Ky0BPT2gFMWrbubUG28SO3ESOxw1tQlFLuFx0HPPS0kJDh08
 DvT6Crz3Xwu2IrHzKCLPi8xPpvKyJIgKJWebPqcadaoHFbeQo5KZuNV8GAwN
 bVwBsZebQCZj3wdd0vn8HpMxfokmBLkuyHMJPuwYUBXdpT1AKQ70e7ttEzt+
 HKFJjjzzHADx9vYoDp3Yhu3YbacBiD6/BX18Ib7HbsZqasXacRgVjieD3sEO
 3HcvxJhTjfnOAcy3d+N7ZDneh5ejOnqRY/Ox205jH+1CqxqNMm2splbUmQjR
 l5p6V01xam8s93DfHCdSQGVQErGgpXMABIhUAlKqxBon1q0SSj1/aWlJSGU0
 T4peNS3lgi7BSmOUEGBoELfOtTn0vr/7wf6y4s3//s2vz9MlxBIDtbCviIaV
 nrHnN6R4QMzBq0DPQCVqaOk3Jc8b/MeR3ZhfC0qlDnYAgwd46cq5/oQa9OAh
 TQxIIWDpjh29wA8HKlEqvV/r/U+vJnf/A+Ts/B7eh29E5GZUu9AHHcHA1q2T
 xtcNWkASl54CH6Nx0tQl2KwUiBuAflM7twpuronOS0kxAdAlMseL3dkLiUGV
 +sY7gv4d/3t5ffy1ebNnxg3DPRgh58FuWOnpkylcslK0YeFCXZxoX4jNRKBM
 IEoRlKEoA0rdKrilXwL6R0IJemwhehOaFjZ1PRI39FjE5YofKsqPt1SOce6q
 KS9oLSqoSEg5nAXdsYaVnj7VKkMulf3qj1tWxx2BHzhNK+6Mx0yXaZnOaMxy
 xU3LYSYSYbfD6PF4nCGvx93rdnl63U5f1OEY/FwYGroaVnr67OkPmd22kspu
 lBqWQ9QsICXNH3KFiFR2eKgysojhJ8C2tb8lAlL2O4buAdrfuQck7L8dApQQ
 py9sGzIBypBDqfzILpTae2HTkAnYdKPnGBmkzp8u1L4LW4arTnDPMMkZWQgx
 /B6QhNo9PHJGFjYypU5pWAgQSgxbxcYI4o+bV7haL2wcHg+QnvV8xuOAUurJ
 dO3DQsDGFfRIwc1AxqdKWUBMIB5tvMn7XLqLw/q/wWtexxnp7l2hhLgJxQyG
 qdAyQ5gI9qDULoV4Qzriv934pVH9vqpH9I+TV77SnWfH5HRbE+MEKqiUCCiF
 XwgCQEAJ4RdKBVDCj1ABktvxXs4d0YeBLhAhUCGgC0EIm5BAdSkhQgIVUogu
 iegkkfgo1O3bM9DaAPgU/jt8KYh1yAWT8ORDZMMKBr/5NVB9nzUCso3/B6B4
 DLPOGMXeAAAAAElFTkSuQmCC

=== pkg/maemo5/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# FIXME: use cdbs-dh7 and cmake magic stuff instead

CFLAGS = -Wall -g
CMAKEFLAGS = -DCMAKE_PREFIX_PATH=/usr/bin -DCMAKE_INSTALL_PREFIX=/opt/serieswatcher \
	-DQTTVDB_LIBRARY_DIRS=$(CURDIR)/build-qttvdb/lib/ -DQTTVDB_INCLUDE_DIRS=$(CURDIR)/qttvdb/src/

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	mkdir -p $(CURDIR)/build-qttvdb
	mkdir -p $(CURDIR)/build

	cd $(CURDIR)/build-qttvdb && cmake $(CMAKEFLAGS) $(CURDIR)/qttvdb/ && $(MAKE)
	cd $(CURDIR)/build && cmake $(CMAKEFLAGS) $(CURDIR) && $(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf $(CURDIR)/build-qttvdb
	rm -rf $(CURDIR)/build
	dh_clean debian/shlibs.local
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(CURDIR)/build-qttvdb && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	cd $(CURDIR)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

	chmod +x debian/tmp/opt/serieswatcher/bin/serieswatcher-wrapper

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	LD_LIBRARY_PATH=debian/opt/serieswatcher/lib:debian/serieswatcher/opt/serieswatcher/lib/ dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== pkg/maemo5/debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://xf.iksaif.net/dev/serieswatcher/serieswatcher-(.*)\.tar\.gz
